Package org.apache.ignite.spi

## Annotation Type IgniteSpiConfiguration

    @Documented
    @Retention(RUNTIME)
    @Target(METHOD)
    public @interface IgniteSpiConfiguration

Annotates SPI configuration setters on whether or not it is optional.

Note that this annotation is used only for documentation purposes now and is not checked by Ignite implementation.

### Required Element Summary

Required Elements
`boolean` `optional`

### Element Detail

#### optional

    boolean optional

Returns:
  Whether this configuration setting is optional or not.